Subject: Re: [PATCH] Install git-sh-setup.sh into $(prefix)/share/git-core. Call with explicit path.

From: Han-Wen Nienhuys <[email-masked]>
Date: Sat, 09 Dec 2006 14:08:27 +0100

Junio C Hamano escreveu:
> Eric Wong <[email-masked]> writes:
> 
>> Han-Wen Nienhuys <[email-masked]> wrote:
>>> git-sh-setup isn't a 'normal' binary, in that it should be called by
>>> bash only and not run in a subshell. Therefore, it should not be installed
>>> in a executable directory, but rather in $prefix/share/git-core/
>> This seems to break existing hooks, or at least old repositories can
>> be stuck using an old version of git-sh-setup in those hooks.
> 
> Honestly speaking, I do not think this patch is worth it.
> People who care deeply enough should just use gitexecdir that is
> separate from bindir.

And how about coding the path of git-sh-setup (in <prefix>/bin/git-sh-setup) 
in the shell scripts? This will ensure that the sh-setup is the one
from the right package, but still retain backward compatibility for 
scripts.

--